FUNCTION Sliding ( Model, nodenumber, x) RESULT(C)
   USE Types
   IMPLICIT NONE
   TYPE(Model_t) :: Model
   INTEGER :: nodenumber, i
   REAL(KIND=dp) :: x, C, L 
   LOGICAL :: FirstTime=.True. 

   SAVE FirstTime
   SAVE L

   IF (FirstTime) THEN
       FirstTime=.False.
       L = MAXVAL(Model % Nodes % x)
   End If

   x = Model % Nodes % x(nodenumber)

! C in [MPa a / m]

   C  =  1000.0e-6_dp*(1.0_dp + SIN(2.0_dp * Pi * x/ L))

END FUNCTION Sliding
